On this package you will find information about MatterLinux release cycle and 
version numbering.

## Release Cycle
MatterLinux will make a new release once a year. A new release means every package will be updated 
to a more recent version. Packages will replace the old ones,
meaning old packages will no longer be available and support for the old release will end. 
If you are using an old release, you will able to update to the latest one by running a
full update using the [MatterLinux Package Manager](/wiki/package_man).

During the testing of the new release, repos for the new release will be located 
at [next.matterlinux.xyz](https://next.matterlinux.xyz).

### Package Updates
Packages usually won't be updated to a more recent version during the life of a MatterLinux release,
however sometimes packages may be updated for bug fixes, security issues and minor improvements.

### ISOs and Base Archives
ISO and base archive file for a release may update before the next release to keep the 
packages in these archive files and the ISOs up-to-date.

### Learn the version you are using
You can learn the MatterLinux release version you are using by printing 
out the `/etc/os-release` file:
```
# cat /etc/os-release
```

## Version Numbering
MatterLinux and all it's projects are version numbered after the year.
For example MatterLinux release for the year 2024 is versioned "MatterLinux 24".

Minor numbers may be added for other releases. For example the 2nd release of the 
MatterLinux 24 ISO would be named "MatterLinux 24.01".

Similarly 15th release of the MatterLinux package manager for the year 2024 
is versioned "24.14".

## Planned Release Dates
| Version        | Release Date | EOL     |
| -------------- | ------------ | ------- |
| MatterLinux 24 | 01/2024      | 01/2025 |
| MatterLinux 25 | 01/2025      | ??/???? |
